Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.compile
Class Compile

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.compile.Compile

All Implemented Interfaces:
  groovy.lang.GroovyObject, java.lang.Comparable<Task>, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, PatternFilterable

Direct Known Subclasses:
  GroovyCompile

    public class Compile

extends org.gradle.api.internal.ConventionTask
implements PatternFilterable

Field Summary
`protected org.gradle.api.tasks.compile.AntJavac` | `antCompile`
`protected ExistingDirsFilter` | `existentDirsFilter`

Fields inherited from interface org.gradle.api.Task
`AUTOSKIP_PROPERTY_PREFIX, TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`Compile(Project project, java.lang.String name)`

Method Summary
`protected void` | `compile()`
`Compile` | `exclude(java.lang.Iterable<java.lang.String> excludes)`
`Compile` | `exclude(java.lang.String... excludes)`
`java.lang.Iterable<java.io.File>` | `getClasspath()`
`java.io.File` | `getDestinationDir()`
`java.util.Set<java.lang.String>` | `getExcludes()`
`java.util.Set<java.lang.String>` | `getIncludes()`
`org.gradle.api.tasks.compile.CompileOptions` | `getOptions()`
`java.lang.String` | `getSourceCompatibility()`
`java.util.List<java.io.File>` | `getSrcDirs()`
`java.lang.String` | `getTargetCompatibility()`
`Compile` | `include(java.lang.Iterable<java.lang.String> includes)`
`Compile` | `include(java.lang.String... includes)`
`void` | `setClasspath(FileCollection configuration)`
`void` | `setDestinationDir(java.io.File destinationDir)`
`Compile` | `setExcludes(java.lang.Iterable<java.lang.String> excludes)`
`Compile` | `setIncludes(java.lang.Iterable<java.lang.String> includes)`
`void` | `setOptions(org.gradle.api.tasks.compile.CompileOptions options)`
`void` | `setSourceCompatibility(java.lang.String sourceCompatibility)`
`void` | `setSrcDirs(java.util.List<java.io.File> srcDirs)`
`void` | `setTargetCompatibility(java.lang.String targetCompatibility)`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping`

Methods inherited from class org.gradle.api.DefaultTask
`configure, doFirst, doLast, leftShift, methodMissing, propertyMissing, setProperty`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hashCode, hasProperty, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setSkipProperties, setStandardOutputCapture, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface groovy.lang.GroovyObject
`getMetaClass, getProperty, invokeMethod, setMetaClass`

Field Detail

### existentDirsFilter

    protected ExistingDirsFilter existentDirsFilter

### antCompile

    protected org.gradle.api.tasks.compile.AntJavac antCompile

Constructor Detail

### Compile

    public Compile(Project project,
                   java.lang.String name)

Method Detail

### compile

    protected void compile()

### getClasspath

    public java.lang.Iterable<java.io.File> getClasspath()

### setClasspath

    public void setClasspath(FileCollection configuration)

### include

    public Compile include(java.lang.String... includes)

  Specified by:
    `include` in interface `PatternFilterable`

### include

    public Compile include(java.lang.Iterable<java.lang.String> includes)

  Specified by:
    `include` in interface `PatternFilterable`

### exclude

    public Compile exclude(java.lang.String... excludes)

  Specified by:
    `exclude` in interface `PatternFilterable`

### exclude

    public Compile exclude(java.lang.Iterable<java.lang.String> excludes)

  Specified by:
    `exclude` in interface `PatternFilterable`

### getSrcDirs

    public java.util.List<java.io.File> getSrcDirs()

### setSrcDirs

    public void setSrcDirs(java.util.List<java.io.File> srcDirs)

### getDestinationDir

    public java.io.File getDestinationDir()

### setDestinationDir

    public void setDestinationDir(java.io.File destinationDir)

### getSourceCompatibility

    public java.lang.String getSourceCompatibility()

### setSourceCompatibility

    public void setSourceCompatibility(java.lang.String sourceCompatibility)

### getTargetCompatibility

    public java.lang.String getTargetCompatibility()

### setTargetCompatibility

    public void setTargetCompatibility(java.lang.String targetCompatibility)

### getOptions

    public org.gradle.api.tasks.compile.CompileOptions getOptions()

### setOptions

    public void setOptions(org.gradle.api.tasks.compile.CompileOptions options)

### getIncludes

    public java.util.Set<java.lang.String> getIncludes()

  Specified by:
    `getIncludes` in interface `PatternFilterable`

### setIncludes

    public Compile setIncludes(java.lang.Iterable<java.lang.String> includes)

  Specified by:
    `setIncludes` in interface `PatternFilterable`

### getExcludes

    public java.util.Set<java.lang.String> getExcludes()

  Specified by:
    `getExcludes` in interface `PatternFilterable`

### setExcludes

    public Compile setExcludes(java.lang.Iterable<java.lang.String> excludes)

  Specified by:
    `setExcludes` in interface `PatternFilterable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD